package com.icomsys.main_vm.db.mybatis.mapper;

import com.icomsys.main_vm.db.mybatis.alias.StatisticsDashboardVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface StatisticsDashboardMapper {
    List<HashMap> selectStatCallInfo(StatisticsDashboardVO vo);
    List<HashMap> selectStatIntent(StatisticsDashboardVO vo);
    List<HashMap> selectStatScenario(StatisticsDashboardVO vo);
    List<HashMap> selectCallCntByToday(StatisticsDashboardVO vo);
    int selectCurCallCnt(StatisticsDashboardVO vo);
}
